import pymysql
import datetime

DIRECTORY_PATH="/data2/ffm/"

def get_yesterday_date():
	#自动获取昨天的日期,如"2018-08-08"
	"""
	:rtype : str
	"""
    today = datetime.date.today()
    yesterday = today - datetime.timedelta(days=1)
    yesterday = yesterday.strftime("%Y%m%d")
    return yesterday
	#today = datetime.date.today().strftime("%Y%m%d")
	#return today

def get_data():
    conn2db = pymysql.connect(host='10.66.157.22', port=4000, user='root', passwd='3SYz54LS9#^9sBvC', db='eagle')
    cursor = conn2db.cursor()
    sql = "select device_id from eagle.ffm_diary_queue_temp where device_id regexp '[5|6]$'"
    cursor.execute(sql)
    result = cursor.fetchall()
    cursor.close()
    return  result


def result2file(data):
    output = DIRECTORY_PATH + "ffm_get_data_" + get_yesterday_date + ".csv"
    with open(output,"w") as f:
        for i in data:
            line = str(i[0]) + "," + str(i[1]) + "\n"
            f.write(line)


if __name__ == "__main__":
    result = get_data()
    result2file(result)